> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List KYC Products



## OpenAPI

````yaml api-reference/openapi-apply.json GET /apply/kyc_product
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/kyc_product:
    get:
      tags:
        - KYC Product
      summary: List KYC Products
      parameters:
        - description: Name of the KYC product. Filterable.
          in: query
          name: name
          schema:
            type: string
        - description: >-
            The type of application upon which the KYC product can be run. One
            of: `person`, `business`. Filterable.
          in: query
          name: object_type
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - created_at: '2019-12-11T20:34:11Z'
                        id: akpt_1209bga8she6
                        name: product_0
                        object_type: person
                        updated_at: '2019-12-11T20:34:11Z'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        id:
                          description: Unique identifier for object
                          type: string
                        is_default:
                          description: >-
                            Whether this KYC product should run by default if
                            none is specified
                          type: boolean
                        name:
                          description: Name of the KYC product. Filterable.
                          type: string
                        object_type:
                          description: >-
                            The type of application upon which the KYC product
                            can be run. One of: `person`, `business`.
                            Filterable.
                          type: string
                        org_id:
                          description: ID of the organization that owns the KYC product
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` kyc-product elements, starting after the kyc-product
            described by `page_cursor`. If no more kyc-products are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````